org.apache.flume.conf

## Enum FlumeConfigurationErrorType

- java.lang.Object
- - java.lang.Enum<FlumeConfigurationErrorType>
  - - org.apache.flume.conf.FlumeConfigurationErrorType

- All Implemented Interfaces:
    Serializable, Comparable<FlumeConfigurationErrorType>

      public enum FlumeConfigurationErrorType
      extends Enum<FlumeConfigurationErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGENT_CONFIGURATION_INVALID`
    `AGENT_NAME_MISSING`
    `ATTRS_MISSING`
    `CONFIG_ERROR`
    `CONFIGURATION_KEY_ERROR`
    `DEFAULT_VALUE_ASSIGNED`
    `DUPLICATE_PROPERTY`
    `ILLEGAL_PROPERTY_NAME`
    `INVALID_PROPERTY`
    `OTHER`
    `PROPERTY_NAME_NULL`
    `PROPERTY_PART_OF_ANOTHER_GROUP`
    `PROPERTY_VALUE_NULL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getError()`
    `static FlumeConfigurationErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FlumeConfigurationErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final FlumeConfigurationErrorType OTHER

    - #### AGENT_CONFIGURATION_INVALID

          public static final FlumeConfigurationErrorType AGENT_CONFIGURATION_INVALID

    - #### PROPERTY_NAME_NULL

          public static final FlumeConfigurationErrorType PROPERTY_NAME_NULL

    - #### PROPERTY_VALUE_NULL

          public static final FlumeConfigurationErrorType PROPERTY_VALUE_NULL

    - #### AGENT_NAME_MISSING

          public static final FlumeConfigurationErrorType AGENT_NAME_MISSING

    - #### CONFIGURATION_KEY_ERROR

          public static final FlumeConfigurationErrorType CONFIGURATION_KEY_ERROR

    - #### DUPLICATE_PROPERTY

          public static final FlumeConfigurationErrorType DUPLICATE_PROPERTY

    - #### INVALID_PROPERTY

          public static final FlumeConfigurationErrorType INVALID_PROPERTY

    - #### PROPERTY_PART_OF_ANOTHER_GROUP

          public static final FlumeConfigurationErrorType PROPERTY_PART_OF_ANOTHER_GROUP

    - #### ATTRS_MISSING

          public static final FlumeConfigurationErrorType ATTRS_MISSING

    - #### ILLEGAL_PROPERTY_NAME

          public static final FlumeConfigurationErrorType ILLEGAL_PROPERTY_NAME

    - #### DEFAULT_VALUE_ASSIGNED

          public static final FlumeConfigurationErrorType DEFAULT_VALUE_ASSIGNED

    - #### CONFIG_ERROR

          public static final FlumeConfigurationErrorType CONFIG_ERROR

  - ### Method Detail

    - #### values

          public static FlumeConfigurationErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlumeConfigurationErrorType c : FlumeConfigurationErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlumeConfigurationErrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getError

          public String getError()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.